diff a/test/hotspot/jtreg/compiler/rtm/cli/TestUseRTMLockingOptionOnUnsupportedCPU.java b/test/hotspot/jtreg/compiler/rtm/cli/TestUseRTMLockingOptionOnUnsupportedCPU.java
--- a/test/hotspot/jtreg/compiler/rtm/cli/TestUseRTMLockingOptionOnUnsupportedCPU.java
+++ b/test/hotspot/jtreg/compiler/rtm/cli/TestUseRTMLockingOptionOnUnsupportedCPU.java
@@ -47,41 +47,21 @@
         String unrecognizedOption
                 = CommandLineOptionTest.getUnrecognizedOptionErrorMessage(
                 "UseRTMLocking");
         String errorMessage = RTMGenericCommandLineOptionTest.RTM_INSTR_ERROR;
 
-        if (Platform.isX86() || Platform.isX64() || Platform.isPPC()) {
+        if (Platform.isX86() || Platform.isX64()) {
             String shouldFailMessage = "JVM startup should fail with option " +
                                        "-XX:+UseRTMLocking on unsupported CPU";
 
-            try {
-                // verify that we get an error when use +UseRTMLocking
-                // on unsupported CPU
-                CommandLineOptionTest.verifySameJVMStartup(
-                        new String[] { errorMessage },
-                        new String[] { unrecognizedOption }, shouldFailMessage,
-                        shouldFailMessage + ". Error message should be shown.",
-                        ExitCode.FAIL, "-XX:+UseRTMLocking");
-            } catch (Throwable e) {
-                // verify that we get an error when use +UseRTMLocking
-                // on unsupported OS. It might be the case that although CPU
-                // supports RTM the OS version does not support RTM
-                if (Platform.isPPC()) {
-                    String errorMessage2 = RTMGenericCommandLineOptionTest.RTM_OS_ERROR;
-                    String shouldFailMessage2 = "JVM startup should fail with option " +
-                                                "-XX:+UseRTMLocking on unsupported CPU or " +
-                                                "OS version";
-
-                    CommandLineOptionTest.verifySameJVMStartup(
-                            new String[] { errorMessage2 },
-                            new String[] { unrecognizedOption}, shouldFailMessage2,
-                            shouldFailMessage2 + ". Error message should be shown.",
-                            ExitCode.FAIL, "-XX:+UseRTMLocking");
-                } else {
-                    throw e; // checking unsupported OS error is not necessary
-                }
-            }
+            // verify that we get an error when use +UseRTMLocking
+            // on unsupported CPU
+            CommandLineOptionTest.verifySameJVMStartup(
+                    new String[] { errorMessage },
+                    new String[] { unrecognizedOption }, shouldFailMessage,
+                    shouldFailMessage + ". Error message should be shown.",
+                    ExitCode.FAIL, "-XX:+UseRTMLocking");
 
             String shouldPassMessage = "JVM startup should pass with option "
                     + "-XX:-UseRTMLocking even on unsupported CPU";
             // verify that we can pass -UseRTMLocking without
             // getting any error messages
